Apache JMeter

## org.apache.jmeter.protocol.http.util
Class ConversionUtils

    java.lang.Object
      org.apache.jmeter.protocol.http.util.ConversionUtils

    public class ConversionUtils

extends Object

General purpose conversion utilities related to HTTP/HTML

Constructor Summary
`ConversionUtils()`

Method Summary
`static String` `getEncodingFromContentType(String contentType)` Extract the encoding (charset) from the Content-Type, e.g.
`static URL` `makeRelativeURL(URL baseURL, String location)` Generate a relative URL, allowing for extraneous leading "../" segments.
`static String` `removeSlashDotDot(String url)` collapses absolute or relative URLs containing '/..' converting http://host/path1/..

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ConversionUtils

    public ConversionUtils()

Method Detail

### getEncodingFromContentType

    public static String getEncodingFromContentType(String contentType)

  Extract the encoding (charset) from the Content-Type, e.g. "text/html; charset=utf-8".

  Parameters:
    `contentType` -
  Returns:
    the charset encoding - or null, if none was found or the charset is not supported

### makeRelativeURL

    public static URL makeRelativeURL(URL baseURL,
                                      String location)
                               throws MalformedURLException

  Generate a relative URL, allowing for extraneous leading "../" segments. The Java `URL.URL(URL, String)` constructor does not remove these.

  Parameters:
    `baseURL` -
    `location` - relative location, possibly with extraneous leading "../"
  Returns:
    URL with extraneous ../ removed
  Throws:
    `MalformedURLException`

### removeSlashDotDot

    public static String removeSlashDotDot(String url)

  collapses absolute or relative URLs containing '/..' converting http://host/path1/../path2 to http://host/path2 or /one/two/../three to /one/three

  Parameters:
    `url` -
  Returns:
    collapsed URL

Apache JMeter

Copyright © 1998-2011 Apache Software Foundation. All Rights Reserved.